#ifndef DEFS_H
#define DEFS_H

enum PacketType
{
	Invalid = 0,

	UsersList = 1,
	UsersAdd = 2,
	UsersRemove = 3,

	NSConnect = 10,
	NSDisconnect = 11,
	NSStatus = 12,
	NSLocationGet = 13,
	NSLocationSet = 14,

	EventsNSAdd = 20,
	EventsNSRemove = 21,

	EventsChat = 30,
	EventsChatAdd = 31,
	EventsChatRemove = 32,

	EventsWatchlistAdd = 40,
	EventsWatchlistRemove = 41,

	WatchlistAdd = 50,
	WatchlistWhois = 51,

	EventsAllAdd = 60,
	EventsAllRemove = 61,
};

#endif
