#ifndef DIALOGADDCONTACT_H
#define DIALOGADDCONTACT_H

#include <QDialog>
#include <QTreeWidgetItem>
#include <QMenu>
#include "netsoul.h"

namespace Ui {
class DialogAddContact;
}

class DialogAddContact : public QDialog
{
    Q_OBJECT
    
public:
    explicit DialogAddContact(QWidget *parent = 0);
    ~DialogAddContact();

public slots:
    void setUsers(NetSoul::Users users);
    
signals:
    void contactAdded(QString);
    void chatRequested(NetSoul::Users);

private slots:
    void on_lineSearch_returnPressed();
	void on_listContacts_itemDoubleClicked(QTreeWidgetItem *item, int);
    void chat();
    void addContact();
    void menuRequested(QPoint p);

private:
    Ui::DialogAddContact *ui;
    QMenu* m_menu;
};

#endif // DIALOGADDCONTACT_H
