#ifndef NETSOULLISTUSERS_H
#define NETSOULLISTUSERS_H

#include <QObject>
#include <QTcpSocket>
#include <QList>
#include <QStringList>

class NetSoulListUsers : public QObject
{
    Q_OBJECT
public:
    NetSoulListUsers(QObject* parent);

public slots:
    void list();

private slots:
    void connectedToNS();
    void sockError(QAbstractSocket::SocketError);
    void readyRead();

signals:
    void listed(QList<QList<QString> >);
    void NSError();

private:
    QTcpSocket* socket;
    QString buf;
};

#endif // NETSOULLISTUSERS_H
